## org.apache.poi.hpbf.dev
Class PLCDumper

    java.lang.Object
      org.apache.poi.hpbf.dev.PLCDumper

    public final class PLCDumper

extends java.lang.Object

For dumping out the PLC contents of QC Bits of a HPBF (Publisher) file, while we try to figure out what the format of them is.

Constructor Summary
`PLCDumper(HPBFDocument hpbfDoc)`
`PLCDumper(java.io.InputStream inp)`
`PLCDumper(POIFSFileSystem fs)`

Method Summary
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PLCDumper

    public PLCDumper(HPBFDocument hpbfDoc)

### PLCDumper

    public PLCDumper(POIFSFileSystem fs)
              throws java.io.IOException

Throws:
  `java.io.IOException`

### PLCDumper

    public PLCDumper(java.io.InputStream inp)
              throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.